/********************************************************************************
 Author        : CAST 	macduan

 Date          : 2011-3-11

 Hardware      : ADuC7026+AD5668	
********************************************************************************/
#include<ADuC7026.h>
#include"ADuC7026_Driver.h"


void putchar(unsigned char ch)    //Write character to Serial Port 
{          
	COMTX = ch;				 //COMTX is an 8-bit transmit register.
    while(!(0x020==(COMSTA0 & 0x020)))
    {;}
}

void ADuC7026_Initiate(void)
{
    //Clock Initial,Internal
    POWKEY1 = 0x01;				//Start PLL Setting
    POWCON  = 0x00;				//Set PLL Active Mode With CD = 0  CPU CLOCK DIVIDER = 41.78MHz
    POWKEY2 = 0xF4;				//Finish PLL Setting
	GP1CON = 0x011;				 //PIN set up for UART
	//Start setting up UART at 9600bps
	COMCON0 = 0x80;					// Setting DLAB
    COMDIV0 = 0x85;				    //9600bps
    COMDIV1 = 0x00;
    COMCON0 = 0x07;					// Clearing DLAB


	GP4DAT = (GP4DAT | 0x68680000);	   //Config P4.3, P4.6 P4.5  as output, set to 1;
	GP2DAT = (GP2DAT | 0x08080000);	   //Config P2.3 as output, set to 1;	
    


}  